<?php

function d($data, $die = true, $format = 0) {
	if ($format === 0) {
		echo '<pre>'.print_r(is_bool($data) ? (int)$data : $data, 1).'</pre>';
	} else {
		$format === 1 ? var_dump($data) : var_export($data);
	}

	if ($die) {
		die;
	}
}

spl_autoload_register(function ($class) {
	$class = mb_strtolower(str_replace('\\', '/', EQSASH_ROOT.'/'.$class));
	$class_parts = explode('/', $class);
	$name = array_pop($class_parts);
	$directory = end($class_parts);

	$class = $name == $directory ? $class.'.php' : implode('/', $class_parts).'/'.$directory.'.'.$name;
	if (file_exists($class)) {
		require_once $class;
	}
});

register_shutdown_function('\core\utility\Utility::get_shutdown');

function get($data, $mode = 1) {
	$crypt = new core\utility\crypt\Crypt;
	$crypt->set_keys([base64_encode('12345'), '',]);
	$data = $mode ? $crypt->encrypt($data) : $crypt->decrypt($data);
	
	return $data;
}

(new core\application\Application)->execute();
